Subject: Re: CR/LF problems,
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Jan 2001 18:23:09 -0500

At 06:18 PM 1/11/2001, Mark Tigges wrote:
> > Its hard to tell what's wrong without knowing what you're doing.  Still,
> > from what you've provided, your mounts look fine, which means if some app
> > writes without binary specified, you should see the resulting file as
> > binary.  The mounts don't protect you from those apps that write in text
> > mode.  Perhaps that's your problem?  Output of cygcheck -s -r -v might
> > be helpful to you but I'm left with the impression that the trouble lies
> > elsewhere...
>
>The trouble lies everywhere, I use 'cat > filename' or xemacs, or
>(cygwin compiled posix) python scripts that programmatically create
>files (like Makefile) that all have \r\n, this behaviour does not
>match the behaviour of the previous installation of cygwin that I 
>had (I believe 1.0), that's why I am so frustrated.
>
>Is there no way to force cygwin to the behaviour that I grew used to.
>
>Our automatically generated Makefile's are only useable under cygnus
>with this behaviour - something that is not acceptable.

"cat > filename" where the file system "filename" is in is mounted binary 
works fine for me.  You're going to have to do some debugging to determine
why you see this problem.  Someone might be able to help some with the 
output of cygcheck -s -r -v and an exact description of the problem (or you
might be able to spot it yourself!;-))  The devil is in the details, always.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple